Change password

API to change the password.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to change your password. You need to validate your current password before changing it. The API utilises the token created by /mfa/password/validate, along with the old and new passwords.

The below flow chart shows the steps involved.

API endpoint example

\

Resource information

URIauth/v1/mfa/password/change
HTTP methodPOST
Pagination supported?NA
Rate limitNA
Batch supportNA

Request body parameters

| Parameter

(Parameters marked with * are mandatory)Data TypeDescription
deviceId*StringUnique ID of the device used for password validation. It should be the same device used to generate the MFA token.
password*StringCurrent password.
newPassword*StringNew password.
confirmPassword*StringRe-enter the new password.
brand*StringName of the brand or organisation that needs verification.
token*StringToken generated from /mfa/password/validate.
identifierType*EnumThe type of identifier to identify the customer. Values: MOBILE, EMAIL, USERNAME, EXTERNALID.
identifierValue*StringThe value of the identifier.
curl --location 'https://crm-nightly-new.ccsolutions.capillarytech.com/auth/v1/password/change' \
--header 'Content-Type: application/json' \
--data '{
					"deviceId":"1234",
					"password":"12345",
          "newPassword":"123456789",
          "confirmPassword":"123456789",
          "brand":"SOLAPIPOCNEW",
          "token":"eyJpZHYiOlsiTU9CSUxFfDc0MTE2MzkyMTMiXSwiZGV2IjoiMTIzNCIsIm9yZyI6IlNPTEFQSVBPQ05FVyIsImFsZyI6IkhTMjU2In0.eyJ1aWQiOiIxMzgiLCJpc3MiOiJDQVBJTExBUlkgVEVDSE5PTE9HSUVTIiwiaXNjIjoiZmFsc2UiLCJvZ2MiOlsiMTQxOHxpbXBvcnQuZGIuMSJdLCJleHAiOjE3MDkxMjU1NDgsImlhdCI6MTcwOTEyMTk0OCwicm9sIjoiTUZBX1BFTkRJTkcifQ.OecVhZmMyXXTkjQBURe3Wi9xruc6gJp2pnd1qv9RGAA",
          "identifierType":"MOBILE",
          "identifierValue":"7411639213"
				}'

Response parameters

ParameterDatatypeDescription
statusobjectObject containing status information.
- successbooleanBoolean indicating the status of the request.
- codeintegerHTTP status code indicating the result. Example: 200 indicates success.
- messagestringMessage describing the status of the request.
{
    "status": {
        "success": true,
        "code": 200,
        "message": "SUCCESS"
    }
}
Body Params
string
required

Unique ID of the device used for password validation. It should be the same device used to generate the MFA token.

string
required

Current password.

string
required

New password.

string
required

Re-enter the new password.

string
required

Name of the brand or organisation that needs verification.

string
required

Token generated from /mfa/password/validate .

string
enum
required

The type of identifier to identify the customer.

Allowed:
string
required

Value of the identifier.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json